package org.ntlab.acanthus_client.entities;

import java.util.ArrayList;

//-----------------------------------------------------------------
// 筆跡
public class Stroke {
    private static int strokeNoCount; //strokeNoを数えるためだけ
    private int strokeNo = 0;
    private int pen = 0;
    private int color = 0;
    private int thickness = 0;
    private ArrayList<Position> positions = new ArrayList<>();

    public int getStrokeNo() {
        return this.strokeNo;
    }
    public int getPen() {
        return this.pen;
    }
    public int getColor() {
        return this.color;
    }
    public int getThickness() {
        return this.thickness;
    }
    public ArrayList<Position> getPositions() {
        return this.positions;
    }
}
